View Issue Details

IDProjectCategoryView StatusLast Update
0000962FreeCADBugpublic2017-03-27 08:32
ReportervikAssigned Toyorik 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.13 
Summary0000962: Attempting to import an SVG file fails with "invalid literal for int() with base 16"
Description© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2011
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##

matplotlib not found, Plot module will be disabled
pycollada not found, collada support will be disabled.
processing element 1: svg
existing group transform: []
name: svg3066
done processing element 1
processing element 2: metadata
existing group transform: [Matrix ((0.282222,0,0,0),(0,0.282222,0,0),(0,0,1,0),(0,0,0,1))]
name: metadata3091
done processing element 2
processing element 3: rdf:RDF
existing group transform: [Matrix ((0.282222,0,0,0),(0,0.282222,0,0),(0,0,1,0),(0,0,0,1))]
done processing element 3
processing element 4: cc:Work
existing group transform: [Matrix ((0.282222,0,0,0),(0,0.282222,0,0),(0,0,1,0),(0,0,0,1))]
done processing element 4
processing element 5: dc:format
existing group transform: [Matrix ((0.282222,0,0,0),(0,0.282222,0,0),(0,0,1,0),(0,0,0,1))]
done processing element 5
processing element 6: dc:type
existing group transform: [Matrix ((0.282222,0,0,0),(0,0.282222,0,0),(0,0,1,0),(0,0,0,1))]
done processing element 6
processing element 7: dc:title
existing group transform: [Matrix ((0.282222,0,0,0),(0,0.282222,0,0),(0,0,1,0),(0,0,0,1))]
done processing element 7
processing element 8: path
existing group transform: [Matrix ((0.282222,0,0,0),(0,0.282222,0,0),(0,0,1,0),(0,0,0,1))]
Exception (Sun Jan 20 13:07:40 2013): invalid literal for int() with base 16: ''
Additional InformationAttepmting to import the SVG causes the above error. SVG De novo creation done in Inkscape. It's meant to be all paths.

It's the box for a Roofl RepRap and is GPLv3'd :)

Vik :v)

PS If you miss the category when entering bug reports, then hit back arrow after the error message, you lose all the helpful Additional Information that you entered.
TagsNo tags attached.

Activities

2013-01-19 23:15

 

attempted_import.svg (Attachment missing)

yorik

2013-01-20 14:56

administrator   ~0002859

That's funny, here is a type of SVG file I had never seen before, where the points of a path are also separated by commas. I'll try to fix that. Can I ask with what application was that file created?

2013-01-20 18:23

 

svgcolors.diff (Attachment missing)

shoogen

2013-01-20 18:24

developer   ~0002863

i did not yet test the fix

vik

2013-01-20 20:46

reporter   ~0002864

The file was created with inkscape 0.48.3.1-1ubuntu1

The shapes were made mostly by converting objects to paths and boolean operations on the same.

Vik :v)

shoogen

2013-01-21 09:42

developer   ~0002865

i tested the fix:
git://github.com/5263/FreeCAD.git svgcolorfix

yorik

2013-01-21 11:48

administrator   ~0002866

Fixed in 5e46bea. Thanks shoogen!

Related Changesets

FreeCAD: releases c3b11b53

2013-01-21 11:23:39

Sebastian Hoogen


Committer: Yorik van Havre Details Diff
0000962: Attempting to import an SVG file fails

with "invalid literal for int() with base 16"
Affected Issues
0000962
mod - src/Mod/Draft/importSVG.py Diff File

Issue History

Date Modified Username Field Change
2013-01-19 23:15 vik New Issue
2013-01-19 23:15 vik File Added: attempted_import.svg
2013-01-20 14:56 yorik Note Added: 0002859
2013-01-20 14:56 yorik Status new => assigned
2013-01-20 14:56 yorik Assigned To => yorik
2013-01-20 18:23 shoogen File Added: svgcolors.diff
2013-01-20 18:24 shoogen Note Added: 0002863
2013-01-20 20:46 vik Note Added: 0002864
2013-01-21 09:42 shoogen Note Added: 0002865
2013-01-21 11:48 yorik Note Added: 0002866
2013-01-21 11:48 yorik Status assigned => closed
2013-01-21 11:48 yorik Resolution open => fixed
2013-01-21 11:48 yorik Fixed in Version => 0.13
2017-03-27 08:32 Kunda1 Changeset attached => FreeCAD releases c3b11b53